package com.bonus.canteen.core.report.datascreen.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class DatascreenMealNum {
   @ApiModelProperty("今日就餐人数")
   private Integer totalCustNum;
   @ApiModelProperty("今日就餐人次")
   private Integer totalConsumeNum;
   @ApiModelProperty("各餐次就餐人次")
   List<TitleValueVO> todayIntervalMealNum;
   @ApiModelProperty("就餐率")
   private BigDecimal diningRate;

   public Integer getTotalCustNum() {
      return this.totalCustNum;
   }

   public Integer getTotalConsumeNum() {
      return this.totalConsumeNum;
   }

   public List<TitleValueVO> getTodayIntervalMealNum() {
      return this.todayIntervalMealNum;
   }

   public BigDecimal getDiningRate() {
      return this.diningRate;
   }

   public void setTotalCustNum(final Integer totalCustNum) {
      this.totalCustNum = totalCustNum;
   }

   public void setTotalConsumeNum(final Integer totalConsumeNum) {
      this.totalConsumeNum = totalConsumeNum;
   }

   public void setTodayIntervalMealNum(final List<TitleValueVO> todayIntervalMealNum) {
      this.todayIntervalMealNum = todayIntervalMealNum;
   }

   public void setDiningRate(final BigDecimal diningRate) {
      this.diningRate = diningRate;
   }

   public DatascreenMealNum(final Integer totalCustNum, final Integer totalConsumeNum, final List<TitleValueVO> todayIntervalMealNum, final BigDecimal diningRate) {
      this.totalCustNum = totalCustNum;
      this.totalConsumeNum = totalConsumeNum;
      this.todayIntervalMealNum = todayIntervalMealNum;
      this.diningRate = diningRate;
   }
}
